 #include <cc430f5137.h>
 #include <stdint.h>
 #include <msp430.h> 
 
 //863-870Mhz => 26MHz crystal
 
 //MDMCFG0.CHANSPC_M=0 & MDMCFG1.CHANSPC_E=2 ==> chann spacing~100kHz
 
 //start at 863 Mhz
 //FREQ2=0x21   FREQ1=0x31   FREQ0=0x3A
 //high VCO FSCAL2=0x2A
 
 //867 : 21589A
 //866 : 214EC2
 //865 : 2144EA
 
 
 //for 433Mhz : freq=0x10A766 and low vco (FSCAL2=0x0A)
 //432 : 0x109D8E
 
 //gfsk, 866, chann space ~200k, high vco currently
 
 
 #define SMARTRF_CC430F5137_H
 #define SMARTRF_RADIO_CC430F5137
 
 #define SMARTRF_SETTING_IOCFG2     0x29 //default 
 #define SMARTRF_SETTING_IOCFG1     0x2E //default
 #define SMARTRF_SETTING_IOCFG0     0x02 //assert if TX fifo above trsh
 #define SMARTRF_SETTING_FIFOTHR    0x07 //default (0x0F may be better)
 #define SMARTRF_SETTING_SYNC1      0xD3 //default
 #define SMARTRF_SETTING_SYNC0      0x91 //default
 #define SMARTRF_SETTING_PKTLEN     0xFF //default (disabled by PKCTRL0 set to 0x05)
 #define SMARTRF_SETTING_PKTCTRL1   0x04 //default (enable rssi)
 #define SMARTRF_SETTING_PKTCTRL0   0x02 //normal pkt format, infinite pkt lenght
 #define SMARTRF_SETTING_ADDR       0x00 //default (device address)
 #define SMARTRF_SETTING_CHANNR     0x00 //0 (will be incremented in main.c)
 #define SMARTRF_SETTING_FSCTRL1    0x0F //default (IF frequency)
 #define SMARTRF_SETTING_FSCTRL0    0x00 //default (freq offset)
 #define SMARTRF_SETTING_FREQ2      0x21 /*freq*/
 #define SMARTRF_SETTING_FREQ1      0x13 //860Mhz
 #define SMARTRF_SETTING_FREQ0      0xB1 /*freq*/
 #define SMARTRF_SETTING_MDMCFG4    0x2C //default (BW=203KHz)
 #define SMARTRF_SETTING_MDMCFG3    0x22 //default (data rate=115kBaud)
 #define SMARTRF_SETTING_MDMCFG2    0x10 // GFSK, no byte preamble
 #define SMARTRF_SETTING_MDMCFG1    0x22 // 2 bytes preamble, chanspc_e=2
 #define SMARTRF_SETTING_MDMCFG0    0xF8 //chan space=200khz
 #define SMARTRF_SETTING_DEVIATN    0x47 //default 47khz deviation
 #define SMARTRF_SETTING_MCSM2      0x10 //direct RX terminaison based on rssi
 #define SMARTRF_SETTING_MCSM1      0x63 //stay in TX mode when transmitting & stay in RX mode when receving
 #define SMARTRF_SETTING_MCSM0      0x18 //autocal when going in TX or RX
 #define SMARTRF_SETTING_FOCCFG     0x36 //default (frenquency offset for demodulation)
 #define SMARTRF_SETTING_BSCFG      0x6C //default
 #define SMARTRF_SETTING_AGCCTRL2   0x07 // (maximum possible gain)
 #define SMARTRF_SETTING_AGCCTRL1   0x40 //default
 #define SMARTRF_SETTING_AGCCTRL0   0x91 //default
 #define SMARTRF_SETTING_WOREVT1    0x80 //given by smartRF studio
 #define SMARTRF_SETTING_WOREVT0    0x00 //given by smartRF studio
 #define SMARTRF_SETTING_WORCTRL    0xFB //f8 //default
 #define SMARTRF_SETTING_FREND1     0x56 //default
 #define SMARTRF_SETTING_FREND0     0x10 //patable=0 (useless for gfsk) 
 #define SMARTRF_SETTING_FSCAL3     0xE9 //smartRF studio
 #define SMARTRF_SETTING_FSCAL2     0x2A //high VCO choosen
 #define SMARTRF_SETTING_FSCAL1     0x00 //smartRF studio
 #define SMARTRF_SETTING_FSCAL0     0x1F //smartRF studio
 #define SMARTRF_SETTING_FSTEST     0x59 //default (test only)
 #define SMARTRF_SETTING_PTEST      0x7F //default (test only)
 #define SMARTRF_SETTING_AGCTEST    0x3F //default (test only)
 #define SMARTRF_SETTING_TEST2      0x81 //smartRF studio
 #define SMARTRF_SETTING_TEST1      0x35 //smartRF studio
 #define SMARTRF_SETTING_TEST0      0x09 //smartRF studio 0x09 if freq>862MHz